<?php
if( !function_exists('business_a_breadcrumbs') ):
	function business_a_breadcrumbs() { 
			
		global $post;
		$homeLink = esc_url( home_url() );
	?>
	<section class="rdn-sub-header" style="background: url(<?php header_image(); ?>) fixed center no-repeat #f6f6f6;">
		<div class="rdn-sub-header-inner">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<?php 
						$breadcrumb_class="pull-left";				
						if(!is_single()){ ?>
						<h1 class="page-title"><?php single_post_title(); ?></h1>
						<?php 
							$breadcrumb_class="pull-right";
						} ?>
						<ul class="<?php echo esc_attr($breadcrumb_class); ?>">
							<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php _e('Home','business-a' ); ?></a></li>
							<?php 
							
							if (is_home() || is_front_page()) :
							
								echo '<li>'. esc_attr( get_bloginfo( 'name' ) ).'</li>';
								
							else:
								
								// Blog Category
								if ( is_category() ) {
									echo '<li>' . __('Archive by category','business-a' ).' "' . single_cat_title('', false) . '"</li>';

								// Blog Day
								} else if ( is_day() ) {
									echo '<li>'. esc_attr( get_the_time('Y') ) .'';
									echo '<li>'. esc_attr( get_the_time('F') ) .'';
									echo '<li>'. esc_attr( get_the_time('d') ) .'</li>';

								// Blog Month
								} else if ( is_month() ) {
									echo '<li>' . esc_attr( get_the_time('Y') ) . '';
									echo '<li>'. esc_attr( get_the_time('F') ) .'</li>';

								// Blog Year
								} else if ( is_year() ) {
									echo '<li>'. esc_attr( get_the_time('Y') ) .'</li>';

								// Single Post
								} 
								else if( is_archive() ){
									the_archive_title( '<li>', '</li>' );
								}
								else if ( is_single() && !is_attachment() ) {
														
									// Custom post type
									if ( get_post_type() == 'project' ) {
											$post_type = 'project';
											$tax = 'portfolio_categories'; 
											$term_args = array( 'hide_empty' => true);
											$tax_terms = get_terms($tax, $term_args);
											$cat = $tax_terms[0];
											if($cat){
												echo '<li>';
												printf( sprintf( __('%s','business-a'),$cat->name ));
												echo '</li>';
												echo '<li>'. esc_attr( get_the_title() ) .'</li>';
											}
										
									}
									else if( get_post_type() == 'post' ){
										$cat = get_the_category();
										$cat = $cat[0];
										if($cat){
											echo '<li>';
											printf( sprintf(__('%s','business-a'),get_category_parents($cat, TRUE, '')) );
											echo '</li>';
											echo '<li>'. esc_attr( get_the_title() ) .'</li>';
										}
									}
								}  
								else if ( is_page() && $post->post_parent ) {
									$parent_id  = $post->post_parent;
									$breadcrumbs = array();
									while ($parent_id) {
										$page = get_page($parent_id);
										$breadcrumbs[] = '<li>' . esc_attr( get_the_title($page->ID) ) . '';
										$parent_id  = $page->post_parent;
									}
									$breadcrumbs = array_reverse($breadcrumbs);
									foreach ($breadcrumbs as $crumb) echo $crumb;
									
									echo '<li>'. esc_attr( get_the_title() ) .'</li>';
								}
								elseif( is_search() )
								{
									echo '<li>'. esc_attr( get_search_query() ) .'</li>';
								}
								elseif( is_404() )
								{
									echo '<li>' . __('404 Error','business-a' ) . '</li>';
								}
								else { 
									// Default
									echo '<li>'. esc_html( get_the_title() ) .'</li>';
								}
							endif; 
							?>
						</ul>
					</div>
				</div>
			</div>		
		</div>
	</section><!-- .rdn-sub-header -->
	<?php }
endif
?>