<?php 
/*
 * Business settings 
 */
if( !class_exists('business_a_settings_array') ){
	
	class business_a_settings_array {

		function default_data(){
			return array(
			
			/* GENRAL SETTINGS */
			'header-left-text1'=>'',
			'header-left-text2'=>'',
			'header-facebook-url'=>'',
			'header-twitter-url'=>'',
			'header-linkedin-url'=>'',
			'header-googleplus-url'=>'',
			'header-social-target'=>true,
			'top-header-hide'=>false,
			'layout' => false,
			'custom_color_scheme'=>'#ED0A71',
			
			'footer_copyright'=> '',
			'footer_socialicon_enable'=> true,
			'footer_socialicon_title'=> '',
			'footer_menu'=> true,
			'theme_color'=>'#EE5547',
			'custom_color_enable'=>false,
			'footer_background'=>'#2c2c2c',
			'footer_info_background'=>'#242424',
			'site_title'=>'#242424',
			
			/* HOME PAGE SETTINGS */
			'slider_enable'=> true,
			'slider_animation_type'=> 'slide',
			'slider_speed'=> 3000,
			'slider_cat'=> 1,
			'slider_caption_hide' => false,
			'slider_caption_backcolor_hide' => false,
			'slider_caption_backcolor' => 'rgba(0,0,0,.6)',
			'slider_caption_aligntext' => 'left',
			'slider_caption_title_uppercase' => true,
			'slider_caption_title_color' => '#ffffff',
			'slider_caption_content_color' => '#ffffff',
			'slider_caption_paddingTopBottom' => 2,
			'slider_caption_paddingLeftRight' => 4,
			
			/* HOME PAGE SERVICE SETTINGS */
			'service_section_backgorund_color'=> '#ffffff',
			'service_section_image'=> '',
			'service_section_image_repeat'=>'',
			'service_section_enable'=>true,
			'service_section_title'=>'',
			'service_section_description'=>'',
			'service_section_title_color'=>'',
			'service_section_desc_color'=>'',
			
			/* HOME PAGE SHOP SETTINGS */
			'shop_section_backgorund_color'=> '#ffffff',
			'shop_section_image'=> '',
			'shop_section_image_repeat'=>'',
			'shop_section_enable'=>true,
			'shop_section_title'=>'',
			'shop_section_description'=>'',
			'shop_no_of_show'=>4,		

			/* HOME PAGE TEAM SETTINGS */
			'team_section_backgorund_color'=> '#F3F3F3',
			'team_section_image'=> '',
			'team_section_image_repeat'=>'',
			'team_section_enable'=>true,
			'team_section_title'=>'',
			'team_section_description'=>'',
			'team_image_size' => 'large',
			'team_image_align' => 'center',

			/* HOME PAGE TESTIMONIAL SETTINGS */
			'testimonial_section_backgorund_color'=> '#ffffff',
			'testimonial_section_enable'=> true,
			'testimonial_section_image'=> get_template_directory_uri() . '/images/testimonial-bg.jpg',
			'testimonial_section_image_repeat'=>'',
			'testimonial_section_title'=>'',
			'testimonial_section_description'=>'',
			'testimonial_image_align' => 'center',
			'testimonial_image_size' => 'large',
			
			/* HOME PAGE NEWS SETTINGS */
			'news_section_backgorund_color'=> '#F3F3F3',
			'news_section_image'=> '',
			'news_section_image_repeat'=>'',
			'news_section_enable'=>true,
			'news_section_title'=>'',
			'news_section_description'=>'',
			'news_no_of_show'=>4,
			'news_category_show'=>1,
			'news_date_hide' => false,
			'news_image_hide' => false,
			'news_image_show_bottom' => false,
			'news_content_hide' => false,
			
			/* HOME PAGE CONTACT SETTINGS */
			'contact_section_enable'=> true,
			'contact_section_image' => get_template_directory_uri() . '/images/contact-bg.jpg',
			'conatct_section_image_repeat'=>'',
			'contact_section_backgorund_color' => '#ffffff',
			'contact_section_title'=>__('Contact','business-a'),
			'contact_section_description'=>__('Submit your query from here.','business-a'),
			'contact_section_title_color'=> '#ffffff',
			'contact_section_desc_color'=> '#ffffff',
			'contact_leftinfo_heading'=>__('Drop a line for us','business-a'),
			'contact_contactform_shortcode'=>'',
			'contact_leftinfo_text1'=>__('California, USA','business-a'),
			'contact_leftinfo_text2'=>'+91 456 7890 333 , +1 800 603 6035',
			'contact_leftinfo_text3'=>'info@business.com',
			
			/* BLOGS SETTINGS */
			'blog_feature_image_enable'=>true,
			'blog_meta_enable'=>true,
			
			/* PAGE SETTINGS */
			'page_feature_image_enable'=>true,
			'page_meta_enable'=>false,
			
			/*CONTACT PAGE SETTINGS*/
			'contact_page_title'=>__('Contact','business-a'),
			
			/* TYPOGRAPHY SETTINGS */
			'h1_fontsize'=>32,
			'h1_fontfamily'=>'Open Sans',
			'h1_fontstyle'=>'normal',
			
			'h2_fontsize'=>30,
			'h2_fontfamily'=>'Open Sans',
			'h2_fontstyle'=>'normal',
			
			'h3_fontsize'=>24,
			'h3_fontfamily'=>'Open Sans',
			'h3_fontstyle'=>'normal',
			
			'h4_fontsize'=> 18,
			'h4_fontfamily'=> 'Open Sans',
			'h4_fontstyle'=> 'normal',
			
			'h5_fontsize'=> 14,
			'h5_fontfamily'=> 'Open Sans',
			'h5_fontstyle'=> 'normal',
			
			'h6_fontsize'=> 12,
			'h6_fontfamily'=> 'Open Sans',
			'h6_fontstyle'=> 'normal',
			
			'menu_fontsize'=> 15,
			'menu_fontfamily'=> 'Open Sans',
			'menu_fontstyle'=> 'normal',
			
			'sectiontitle_fontsize'=> 32,
			'sectiontitle_fontfamily'=> 'Open Sans',
			'sectiontitle_fontstyle'=> 'normal',
			
			'sectionsubtitle_fontsize'=> 16,
			'sectionsubtitle_fontfamily'=> 'Open Sans',
			'sectionsubtitle_fontstyle'=> 'normal',
			
			'post_fontsize'=> 28,
			'post_fontfamily'=> 'Open Sans',
			'post_fontstyle'=> 'normal',
			
			'widget_fontsize'=> 20,
			'widget_fontfamily'=> 'Open Sans',
			'widget_fontstyle'=> 'normal',
			
			'general_fontsize'=> 16,
			'general_fontfamily'=> 'Open Sans',
			'general_fontstyle'=> 'normal',
			
			);
		}
	}	
	
}